package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewArticleCateDb(engine *xorm.Engine) dao.ArticleCateDao {
	return &ArticleCateDb{Db: engine}
}

type ArticleCateDb struct {
	Db *xorm.Engine
}

func (a ArticleCateDb) GetArticleCate(id string) (m *model.ArticleCate, err error) {
	m = new(model.ArticleCate)
	has, err := a.Db.Where("id=?", id).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
func (a ArticleCateDb) ArticleCateByPid(pid string) (*[]model.ArticleCate, error) {
	var m []model.ArticleCate
	if err := a.Db.Where("pid=?", pid).Find(&m); err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}
