package model

type Article struct {
	Id          int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Pid         int    `json:"pid" xorm:"not null default 0 comment('一级分类，对应article_cate表parent_id=0的记录') INT(11)"`
	CateId      int    `json:"cate_id" xorm:"not null default 0 comment('分类ID') index INT(11)"`
	TypeId      int    `json:"type_id" xorm:"not null default 0 comment('类型，对应article_cate表pid=0的记录') index INT(11)"`
	Title       string `json:"title" xorm:"not null default '' comment('标题') VARCHAR(255)"`
	IsShow      int    `json:"is_show" xorm:"not null default 1 comment('是否显示：0不显示；1显示') TINYINT(1)"`
	CreatedAt   int    `json:"created_at" xorm:"comment('创建时间') INT(11)"`
	UpdatedAt   int    `json:"updated_at" xorm:"comment('更新时间') INT(11)"`
	Content     string `json:"content" xorm:"comment('内容') LONGTEXT"`
	Sort        int    `json:"sort" xorm:"not null default 0 comment('排序') INT(11)"`
	Cover       string `json:"cover" xorm:"comment('封面') VARCHAR(255)"`
	Tags        string `json:"tags" xorm:"comment('标签') VARCHAR(2048)"`
	IsSelected  int    `json:"is_selected" xorm:"not null default 0 comment('是否精选') TINYINT(1)"`
	IsRecommend int    `json:"is_recommend" xorm:"not null default 0 comment('是否推荐') TINYINT(1)"`
	Info        string `json:"info" xorm:"default '' comment('文章描述') VARCHAR(255)"`
}
